## alternc-mailman 1.4.10

=== src/Makefile ===
#
# $Id: Makefile 79 2005-09-02 02:40:28Z darcs $
# ----------------------------------------------------------------------
# AlternC - Web Hosting System
# Copyright (C) 2002 by the AlternC Development Team.
# http://alternc.org/
# ----------------------------------------------------------------------
# Based on:
# Valentin Lacambre's web hosting softwares: http://altern.org/
# ----------------------------------------------------------------------
# LICENSE
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License (GPL)
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# To read the license please visit http://www.gnu.org/copyleft/gpl.html
# ----------------------------------------------------------------------
# Purpose of file: Makefile for alternc-mailman
# ----------------------------------------------------------------------
#
CC=gcc
CFLAGS=-Wall -Werror
PROGS=mailman.create mailman.delete mailman.list mailman.sub mailman.unsub

all: ${PROGS}

clean: 
	rm -f *.o core *~ ${PROGS}

install:
	chown list.list ${PROGS}
	chmod u+s ${PROGS}

=== debian/changelog ===
alternc-mailman (1.4.10) stable; urgency=low

  * Now using po-debconf for template translation
  * Changing from pre-depend on alternc to depend only (and update depend version)

 -- Benjamin Sonntag <benjamin@alternc.org>  Wed, 29 Mar 2006 20:53:50 +0200

alternc-mailman (1.4.9.UNRELEASED) stable; urgency=low

  * Upgrade package to alternc 0.9.4.
  * Add mysql-client to Depends field (used in debian scripts)
  * Now store Mailman configuration file template in
    /etc/alternc/templates/mailman/mm_cfg.py
  * Remove unneeded use of debconf:
      alternc is in pre-depends, and its configuration file is sourced in
      postinst script. This script use a '-e' shell, and will then fail if
      it is unable to read the configuration file.
  * Add a warning about modifying /etc/mailman/mm_cfg.py directly.
  * Major overhaul of postinst script:
      - Fix apache configuration template condition.
      - Uses alternc.install to update apache configuration files against
        modified templates.
      - Generated Mailman configuration is now backuped in
        /var/backups/alternc in order to prevent overwrite of user
        modification (despite the warning).  The postinst script will fail in
        this case, displaying a message telling the user how to correct the
        situation.
      - Automatically creates the "mailman" list (a.k.a site list) if it
        doesn't exist.
  * Overhaul of postrm script too.
  * Cleanup of debian/rules
  * Fix column spaning on list page.
  * Fix permissions on mailman wrappers.
  * Add some overrides for lintian.
  * Remove an old reference to Globenet.

 -- Lunar <lunar@anargeek.net>  Sat, 11 Mar 2006 16:05:48 +0100

alternc-mailman (1.4) stable; urgency=low

  * Take over maintainership and try to upload to stable again.

 -- Antoine Beaupré <anarcat@koumbit.org>  Wed, 25 Jan 2006 16:04:51 -0500

alternc-mailman (1.3-1) stable; urgency=low

  * Upload to stable

 -- The Anarcat <anarcat@anarcat.ath.cx>  Wed, 25 Jan 2006 20:21:20 +0000

alternc-mailman (1.3) unstable; urgency=low

  * Architecture: All

 -- The Anarcat <anarcat@anarcat.ath.cx>  Wed, 11 Jan 2006 20:27:29 -0500

alternc-mailman (1.2) testing; urgency=medium

  * Upstream package upgrade for AlternC 0.9.3
  * Upstream package upgrade from mailman sarge
	
 -- Benjamin Sonntag <benjamin@alternc.org>  Fri, 01 Apr 2005 20:31:00 +0200

alternc-mailman (1.1-3) unstable; urgency=medium

  * Use variables from local.sh instead of alternc.conf
  * Require 0.9.3 since local.sh defines necessary variables only there

 -- The Anarcat <anarcat@koumbit.org>  Thu, 19 Jan 2005 23:33:27 +0500

alternc-mailman (1.1-2) unstable; urgency=low

  * Correcting dependencies on AlternC's version.

 -- Benjamin Sonntag <benjamin@alternc.org>  Thu, 23 Oct 2004 00:00:00 +0100

alternc-mailman (1.1-1) unstable; urgency=low

  * Upstream package upgrade for AlternC 0.9.2-2

 -- Benjamin Sonntag <benjamin@alternc.org>  Thu, 21 Sep 2004 00:00:00 +0100

alternc-mailman (1.0-3) unstable; urgency=low

  * Upstream package upgrade for AlternC 1.0

 -- Benjamin Sonntag <benjamin@alternc.org>  Fri, 13 Jun 2003 00:00:00 +0100
	

alternc-mailman (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Benjamin Sonntag <benjamin@octopuce.com>  Wed,  5 Feb 2003 08:07:36 +0100

=== debian/control ===
Source: alternc-mailman
Section: admin
Priority: optional
Maintainer: Benjamin Sonntag <benjamin@alternc.org>
Build-Depends: debhelper (>= 4.0.2), po-debconf
Standards-Version: 3.6.2.2

Package: alternc-mailman
Priority: optional
Section: admin
Architecture: any
Depends: mailman (>= 2.1), mysql-client, alternc (>= 0.9.4), debconf
Description: Mailman module for AlternC
 AlternC is a hosting software suite based on Valentin
 Lacambre's altern.org French hosting service.
 .
 This package is an optional module that add mailman mailing-lists
 managment to the virtual desktop. It declares a new AlternC class
 called m_mailman.
 .
 More information on http://www.alternc.org/
Description-fr: Modules de gestion de listes par Mailman pour AlternC
 AlternC est un logiciel d'hébergement integral basé sur le
 projet français de Valentin Lacambre « altern.org ».
 .
 Ce paquet est un module optionnel qui permet aux utilisateurs
 du bureau AlternC de gérer leurs listes sous mailman. Ce module
 ajoute la classe m_mailman à AlternC
 .
 Pour plus d'informations, consultez http://www.alternc.org/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir
	make -C src
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	make -C src clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cp -r bureau debian/alternc-mailman/var/alternc/
	chown root:www-data -R debian/alternc-mailman/var/alternc
	chmod -R 0640 debian/alternc-mailman/var/alternc
	chmod -R a+X debian/alternc-mailman/var/alternc
	install -m 0644 mm_cfg.py \
		debian/alternc-mailman/etc/alternc/templates/mailman/
	# Install the binaries : -rwxr-sr-x
	install -m 02755 -o root -g list \
		src/mailman.create src/mailman.delete src/mailman.list \
		debian/alternc-mailman/usr/lib/alternc/
	install -m 0644 mailman.sql \
		debian/alternc-mailman/usr/share/alternc/install/
	# Install lintian overrides
	install -m 0644 debian/lintian-override \
	    debian/alternc-mailman/usr/share/lintian/overrides/alternc-mailman
	# remove CVS / SVN entries : 
	find debian/alternc-mailman/ -depth \( -name CVS -o -name .svn \) -type d -exec rm -rf {} \;
binary-common: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_strip
	dh_installdebconf
	dh_link
	dh_compress
	dh_fixperms --exclude mailman.delete \
		--exclude mailman.create --exclude mailman.list
	dh_installdeb
	dh_perl
	dh_gencontrol -- -cdebian/control
	dh_md5sums
	dh_builddeb

binary-indep: build install binary-common

binary-arch: build install binary-common

binary: binary-common

.PHONY: build clean binary binary-common binary-arch binary-indep install
